Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class ResultTagExtraInfo

    java.lang.Object
      javax.servlet.jsp.tagext.TagExtraInfo
          com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTagExtraInfo
              com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTagExtraInfo

Direct Known Subclasses:
  CreateGroupExtraInfo, CreateUserExtraInfo, GetProfileExtraInfo, GetUserNamesExtraInfo, GetUserNamesForGroupExtraInfo

    public class ResultTagExtraInfo

extends UserManagementTagExtraInfo

TagExtraInfo implementation that just sets a result id variable for the jsp. Also provides a convenience method to create the result VariableInfo from a TagData object.

Constructor Summary
`ResultTagExtraInfo()`

Method Summary
`javax.servlet.jsp.tagext.VariableInfo` | `createResultInfo(javax.servlet.jsp.tagext.TagData data)` Creates a result VariableInfo from a TagData object.
`javax.servlet.jsp.tagext.VariableInfo[]` | `getVariableInfo(javax.servlet.jsp.tagext.TagData data)` Returns a single VariableInfo for the result parameter
`boolean` | `isValid(javax.servlet.jsp.tagext.TagData data)`

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, setTagInfo, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultTagExtraInfo

    public ResultTagExtraInfo()

Method Detail

### getVariableInfo

    public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData data)

  Returns a single VariableInfo for the result parameter

  Overrides:
    `getVariableInfo` in class `javax.servlet.jsp.tagext.TagExtraInfo`

### createResultInfo

    public javax.servlet.jsp.tagext.VariableInfo createResultInfo(javax.servlet.jsp.tagext.TagData data)

  Creates a result VariableInfo from a TagData object.

### isValid

    public boolean isValid(javax.servlet.jsp.tagext.TagData data)

  Overrides:
    `isValid` in class `javax.servlet.jsp.tagext.TagExtraInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.